Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005996TestLinkAPI - XMLRPCpublic2013-10-24 19:162013-11-17 09:53
ReporterGonzo 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005996: Need XMLRPC api for getExecutionResult that takes a build paramter
DescriptionI used to be able to build historical data reports using getTestCasesForTestPlan that specified a test plan AND a specified build.

It appears getTestCasesForTestPlan no longer contains execution results and executed information. That has been transitioned to getLastExecutionResult and I would like a parallel function that allows you to pull execution data for a specific build.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MuSQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filestxt file icon getLastExecutionResult.txt [^] (2,970 bytes) 2013-11-02 19:06 [Show Content]

- Relationships
related to 0006021closedfman getLastExecutionResult () - new parameters platform and build 
related to 0006013closedfman Missing build number parameters for testcase execution status 
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019955)
hpmtissera (reporter)
2013-11-02 13:30

Hi, I am planning to implement a getExecutionResult() method which take build id as a parameter. And it is going to be my first Testlink development. Your suggestions and advises are welcome. Thanks.
(0019956)
hpmtissera (reporter)
2013-11-02 19:04

I changed getLastExecutionResult() function to accept buidid as a optional parameter. I have no idea whether this is the correct approach. I attached the changed function's code with this. Thanks.
(0019957)
fman (administrator)
2013-11-03 08:35

@htptissera
Ok, I'm going to give a look.
Remember that you can extend our XML-RPC class instead of doing changes directly on it.
(0019961)
fman (administrator)
2013-11-03 10:37

https://gitorious.org/testlink-ga/testlink-code/commit/b789fa898163a0fd3ad0f3e58938faf9ced11657 [^]
(0020051)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-10-24 19:16 Gonzo New Issue
2013-10-31 16:36 fman Relationship added related to 0006013
2013-11-02 13:30 hpmtissera Note Added: 0019955
2013-11-02 19:04 hpmtissera Note Added: 0019956
2013-11-02 19:06 hpmtissera File Added: getLastExecutionResult.txt
2013-11-03 08:35 fman Note Added: 0019957
2013-11-03 10:13 fman Relationship added related to 0006021
2013-11-03 10:37 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-11-03 10:37 fman Note Added: 0019961
2013-11-03 10:37 fman Status new => resolved
2013-11-03 10:37 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-03 10:37 fman Resolution open => fixed
2013-11-03 10:37 fman Assigned To => fman
2013-11-03 10:38 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020051
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker